+ Responder ao Tópico



  1. #1

    Padrão Problema ao compilar Kernel 2.6.18 com layer-7 !!!

    Pessoal, fiz o download do kernel 2.6.18 e do layer-7, porem quando vou aplicar o patch do layer7, nao aparece erro, porem nao habilita a opçao do layer7 no menu do kernel.
    Veja o que eu executei:
    Antes, de executar a ferramenta de configuraçaõ do kernel, primeiro executei o patch para fazer com que o nosso kernel habilite a opçao do Layer7. Executei este comando:
    #patch –p1 < /usr/src/netfilter-layer7-v2.6/kernel-2.6.18-layer7-2.6.patch
    .
    Depois de executar este comando, executei o:
    #make menuconfig
    E fui ate a opçao:
    Networking - Networking options - Network packet filtering (replaces ipchains) - IP: Netfilter Configuration -. Porem nao apareceu esta opçao do layer7 - Layer 7 match support (EXPERIMENTAL)
    Alguem , sabe me disser como proceder para aplicar o patch correto no kernel 2.6.18, para habilitar o layer-7?
    P.S: Estou usando o Slackware 10.02
    P.S: Pessoal, olhei aqui no forum e percebi que alguns usuarios informaram que o layer-7, existe ate o kernel 2.6.17 e no kernel 2.6.18 ainda nao tem suporte, certo?
    Obrigado !!!

  2. #2

    Padrão Re: Problema ao compilar Kernel 2.6.18 com layer-7 !!!

    Amigo estou com um problema tambem em compilar kernel 2.6.18 ou mesmo o 2.6.17.13 que veio junto com o slackware 11 porem temos 2 situaçoes primeiro a minha e segundo a sua.
    vamos primeiro a sua, a opçao layer7 simplesmente não aparece no seu kernel certo? se for isso eh simples de resolver, Para habilitar o layer 7 é nescessário habilitar o modulo CONNECTION TRACKING FLOW ACCOUNT pois o layer 7 possui dependência a ele.
    Após habilitar este modulo os dois modulos do layer 7 vão aparecer.
    Ja na minha situaçao eu consigo aplicar corretamente os patchs compilo o kernel ele gera imagem tudo ok, porem os modulos não sao carregados de forma alguma, ja instalei o module-init-tool que vi dizendo que resolveria o programa e nada ainda.
    mas espero ter ajudado



  3. #3

    Padrão Re: Problema ao compilar Kernel 2.6.18 com layer-7 !!!

    cara..

    você disse que os módulos não são carregados, qual erro aparece quando você executa o modprobe para levantar esse módulo?


  4. #4

    Padrão Re: Problema ao compilar Kernel 2.6.18 com layer-7 !!!

    Ola, amigo marcelovoax fiz o que voce me disse e apareceu a opção do Layer-7. Agora vou compilar e ver se carrega os modulos. Qualquer coisa, eu posto aqui de novo !!!
    Valeu !!!
    Ate mais!!!



  5. #5

    Padrão

    Pessoal, consegui compilar o kernel. Com apenas suporte o layer7 e a string match como modulo, o resto foi tudo build-in, para evitar ataques de rootkits.
    Lucianogf, estou com este mesmo problema, não carrega os modulos.
    Quando digito modprobe ipt_layer7 , aparece esta mensagem:
    FATAL: Module string not found.
    E nao foi criado a pasta 2.6.18 dentro de /lib/modules.
    Porque não estou conseguindo carregar os modulos?

  6. #6

    Padrão

    Linuxers,
    Não consegui carregar o modulo layer7 no meu kernel 2.6.18, como estava sem tempo. fui obrigado a re-compilar o meu kernel todo build-in, habilitando somente o que realmente era necessário. Apos habilitar o layer7 como build-in o mesmo funcionou perfeitamente!!!
    Porém, gostaria de saber, como carregar modulos no kernel 2.6.18, alguém obteve exito no carregamento dos modulos no kernel 2.6.18 e poderia passar para nos? Vejo que existem algumas pessoas com o mesmo problema.

    Obrigado,
    Ate mais!!!



  7. #7
    santocesa
    Visitante

    Padrão

    Ola galera estou passando pelo mesmo problema, mais a cad dia estou dando um passo a frente, gostaria de dizer que se eu estiver dizedndo bobangens sobre o que vou dizer me corrijam! para o kernel 2.16.8.XX vc precisa de uma outra versao do netfilter o netfilter-layer7-v2.6.tar.gz tentem isto tente tambem baixar a versao mais recente do iptables, pois a versao anetfilter-layer7-v2.1.tar.gz acaba dando ero com esta versao 2.16.18.1 do kernel, qualquer coisa postem aqui para tentarmos rsolver juntos, um grande abraço!!!!

  8. #8

    Padrão

    Galeera bom é o seguinte consegui patchear meu kernel mas qdo vou compilar ele da erro no layer segue abaixo o erro.
    net/ipv4/netfilter/ipt_layer7.c: In function `match':
    net/ipv4/netfilter/ipt_layer7.c:379: error: too few arguments to function `skb_linearize'
    net/ipv4/netfilter/ipt_layer7.c: At top level:
    net/ipv4/netfilter/ipt_layer7.c:473: warning: initialization from incompatible pointer type
    make[3]: ** [net/ipv4/netfilter/ipt_layer7.o] Erro 1
    make[2]: ** [net/ipv4/netfilter] Erro 2
    make[1]: ** [net/ipv4] Erro 2
    make: ** [net] Erro 2

    kernel 2.6.17.9
    iptables 1.3.6
    S.O Debian Sarge 3



  9. #9

    Padrão

    Amigo se vc usar o propio kernel 2.4.31 que vem com o slackware 10.2 e seguindo essa mesma dica que vc esta tentando seguir vai funcionar sem problemas.


    Abraçao

  10. #10
    marcoaurelio
    Visitante

    Padrão

    Citação Postado originalmente por marcelovoax Ver Post
    Amigo estou com um problema tambem em compilar kernel 2.6.18 ou mesmo o 2.6.17.13 que veio junto com o slackware 11 porem temos 2 situaçoes primeiro a minha e segundo a sua.
    vamos primeiro a sua, a opçao layer7 simplesmente não aparece no seu kernel certo? se for isso eh simples de resolver, Para habilitar o layer 7 é nescessário habilitar o modulo CONNECTION TRACKING FLOW ACCOUNT pois o layer 7 possui dependência a ele.
    Após habilitar este modulo os dois modulos do layer 7 vão aparecer.
    Ja na minha situaçao eu consigo aplicar corretamente os patchs compilo o kernel ele gera imagem tudo ok, porem os modulos não sao carregados de forma alguma, ja instalei o module-init-tool que vi dizendo que resolveria o programa e nada ainda.
    mas espero ter ajudado

    Olha Marcelo,


    Estou tentando já algum tempo tentando compilar o L7-netfilter-v2.6 no kernel 2.6.18, não sei se já obteve exito, mas se tiver alguma dica ou experiencia para passar eu agradeço, aplico o patch tranquilo dá tudo certo, mas na ora de compilar o modulo L7 "make modules" falha na compilação do arquivo apt_layer7.c na linha 473.

    net/ipv4/netfilter/ipt_layer7.c:473: warning: initialization from incompatible pointer typer

    Já testei em outras distro como Slackware 11 e FC6 da o mesmo erro, tentei compilar com outras versões de kernel também 2.6.13,14 e 15.


    Se puder dar uma dica agradeço até mais.